Subject: Re: [RFC PATCH] accounting for socket backlog

From: Zhu Yi <[email-masked]>
Date: Mon, 01 Mar 2010 10:17:07 +0800

On Fri, 2010-02-26 at 21:12 +0800, Eric Dumazet wrote:
> Well, if you have one processor, and a process doesnt want to yield
> the cpu (apart of sofirq of course that is filling the backlog while
> your process tries to empty it), your machine is dead. This is
> critical too :) 

If you only have one CPU, this won't happen. Because while the receiver
is busy processing the backlog, no senders will have the chance to be
scheduled to Tx more. And with the limited backlog, it won't take long
for the receiver to finish processing all the frames in the backlog.

Thanks,
-yi